Bug 163956 - [NEW PORT] archivers/laszip: A library for lossless LAS compression
Summary: [NEW PORT] archivers/laszip: A library for lossless LAS compression
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Carlo Strub
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-09 14:50 UTC by Rainer Hurling
Modified: 2012-01-11 20:10 UTC (History)
0 users

See Also:


Attachments
file.shar (2.34 KB, text/plain)
2012-01-09 14:50 UTC, Rainer Hurling
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2012-01-09 14:50:11 UTC
LASzip is a compression library for compressing ASPRS LAS format data. It has
been provided as an LGPL-licensed stand-alone software library to allow other
softwares that handle LAS data to read and write LASzip-compressed data.  The
BSD-licensed libLAS and the LGPL-licensed LASlib can take advantage of LASzip
to read and write compressed data.

LASzip is completely lossless. It compresses bulky LAS files into compact LAZ
files that are only 10-20 percent of the original size, accurately preserving
every single bit.

WWW:   http://laszip.org/

Fix: PR creates new port LASzip for the upcoming libLAS version 1.7.0

Patch attached with submission follows:
How-To-Repeat: No problem.
Comment 1 Carlo Strub freebsd_committer 2012-01-10 22:18:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-01-11 19:50:36 UTC
cs          2012-01-11 19:50:22 UTC

  FreeBSD ports repository

  Modified files:
    archivers            Makefile 
  Added files:
    archivers/laszip     Makefile distinfo pkg-descr pkg-plist 
  Log:
  LASzip is a compression library for compressing ASPRS LAS format data. It has
  been provided as an LGPL-licensed stand-alone software library to allow other
  softwares that handle LAS data to read and write LASzip-compressed data. The
  BSD-licensed libLAS and the LGPL-licensed LASlib can take advantage of LASzip
  to read and write compressed data.
  
  LASzip is completely lossless. It compresses bulky LAS files into compact LAZ
  files that are only 10-20 percent of the original size, accurately preserving
  every single bit.
  
  PR:             ports/163956
  Submitted by:   Rainer Hurling <rhurlin@gwdg.de>
  Approved by:    glarkin@ (mentor)
  
  Revision  Changes    Path
  1.269     +1 -0      ports/archivers/Makefile
  1.1       +25 -0     ports/archivers/laszip/Makefile (new)
  1.1       +2 -0      ports/archivers/laszip/distinfo (new)
  1.1       +11 -0     ports/archivers/laszip/pkg-descr (new)
  1.1       +10 -0     ports/archivers/laszip/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2012-01-11 20:00:51 UTC
cs          2012-01-11 20:00:42 UTC

  FreeBSD doc repository (ports committer)

  Modified files:
    en_US.ISO8859-1/articles/contributors contrib.additional.sgml 
  Log:
  Add Rainer Hurling who submitted archivers/laszip
  
  PR:             ports/163956
  Approved by:    glarkin@ (mentor)
  
  Revision  Changes    Path
  1.1052    +5 -0      doc/en_US.ISO8859-1/articles/contributors/contrib.additional.sgml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Carlo Strub freebsd_committer 2012-01-11 20:01:08 UTC
State Changed
From-To: open->closed

Committed. Vielen Dank!